List Actions Modules
curl --request GET \
--url https://{tenantDomain}/api/v2/actions/modules \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v2/actions/modules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/actions/modules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"modules": [
{
"id": "<string>",
"name": "<string>",
"code": "<string>",
"dependencies": [
{
"name": "<string>",
"version": "<string>"
}
],
"secrets": [
{
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"actions_using_module_total": 123,
"all_changes_published": true,
"latest_version_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"per_page": 123
}List Actions Modules
Retrieve a paginated list of all Actions Modules with optional filtering and totals.
GET
https://{tenantDomain}/api/v2
/
actions
/
modules
List Actions Modules
Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page index of the results to return. First page is 0.
Number of results per page. Paging is disabled if parameter not sent.
Was this page helpful?
⌘I